import matplotlib.pyplot as plt

plt.rc('text', usetex=True)
#plt.rc('font', family='serif')
#plt.rc('font',**{'family':'sans-serif','sans-serif':['Helvetica']})
## for Palatino and other serif fonts use:
plt.rc('font',**{'family':'serif','serif':['Palatino']})
plt.ion()

discr=1000
def beta(n0,n1,xvalues):
    prior = [p**n1*(1-p)**n0 for p in xvalues]
    tot = sum(prior)
    return [e/tot*discr for e in prior]
    
def plot_beta():  
    plt.xlabel("$\phi$")
    plt.ylabel("$P(\phi \mid Es)$")
    xvalues = [i/discr for i in range(discr+1)]
    plt.plot(xvalues,beta(0,0,xvalues),ls='-', c='k', label="$n_0=0,~n_1=0$")
    plt.plot(xvalues,beta(1,2,xvalues),ls='--', c='k', label="$n_0=1,~n_1=2$")
    plt.plot(xvalues,beta(2,4,xvalues),ls='-.', c='k', label="$n_0=2,~n_1=4$")
    plt.plot(xvalues,beta(4,8,xvalues),ls=':', c='k', label="$n_0=4,~n_1=8$")
    plt.legend()
    plt.draw()
    
plot_beta()
