import matplotlib.pyplot as plt
from sgame_fixA_1 import data_fixA_1 
from sgame_fixA_2 import data_fixA_2
from sgame_varA_1 import data_varA_1
from sgame_varA_2 import data_varA_2

def plot_all(ave=True, trunc=1000):
    plt.ion()
    plt.xlabel("number of steps (thousands)")
    if ave:
        plt.ylabel("average reward")
    else:
        plt.ylabel("total reward")
    for dat in [data_fixA_1, data_fixA_2, data_varA_1, data_varA_2]:
        tdat = dat[:trunc]   # truncated data
        if ave:
            avedat = ((x,y/x/1000) for (x,y) in tdat)
            xs,ys = zip(*avedat)
        else:
            xs,ys = zip(*tdat)
        plt.plot(xs,ys)
    plt.draw()
    
def plot_sm(sm=100, trunc=1000):
    """smothing plot.
    This plots the average for the first sm steps, then plots the average of the previous sm steps. """
    plt.ion()
    plt.xlabel("number of steps (thousands)")
    plt.ylabel("average reward")
    for dat in [data_fixA_1, data_fixA_2, data_varA_1, data_varA_2]:
        trunc = min(len(dat),trunc)
        avdat = []
        for i in range(0,sm):
            avdat.append((dat[i][0], (dat[i][1])/(i+1)/100))
        for i in range(sm,trunc):
            avdat.append((dat[i][0], (dat[i][1]-dat[i-sm][1])/(sm+1)/100))
        #print(avdat[:20])
        xs,ys = zip(*avdat) 
        plt.plot(xs,ys)
    plt.draw()
